@ECHO OFF
REM -----------------------------------------------------
REM   batch to load SoLIS-L and start COMMON-ISDN-API
REM  calling: CAPI [/An /Bxxx load_file ini_file]
REM
REM                 /An   Adapter number
REM                 /Bxxx Base address
REM -----------------------------------------------------

isdnapi -d >NUL:
if errorlevel 7 goto deinstdone
if errorlevel 6 goto deinsterror

:deinstdone

solisld %1 %2 %3 %4
if errorlevel 1 goto loaderror

isdnapi %1 %2
if errorlevel 1 goto drverror

goto ende


:loaderror
echo 
goto ende


:drverror
echo 
echo installing of isdnapi not possible !
echo.
goto ende


:deinsterror
echo 
echo isdnapi is installed and cannot be deinstalled !
echo.
goto ende

:ende

